#!/usr/bin/env python3
#demo1 using Apa102bang class driver

import time
from apa102bang import Apa102bang

length = 8 ; brightness = 4
dataPin = 23 ; clockPin = 24 # Blinkt! wiring
leds = Apa102bang(length,dataPin,clockPin,brightness)

def main():
   print("APA102 demo - Click to stop icon to quit")
   while True:
       for i in range(0,8):
          leds.setLed(i,(120,0,0)) # red
          leds.show()
          time.sleep(0.06)
       time.sleep(0.6)
       for i in range(0,4):
          leds.setLed(i,(0,120,0)) # green
          leds.show()
          time.sleep(0.06)
       time.sleep(0.6)
       for i in range(4,8):
          leds.setLed(i,(0,0,120)) # blue
          leds.show()
          time.sleep(0.06)
   time.sleep(0.6)
   for i in range(0,8):
        leds.setLed(i,(0,0,0)) # black
        leds.show()
        time.sleep(0.06)
   time.sleep(0.6)

# Main program logic:
if __name__ == "__main__":
    main()
