#!/usr/bin/python3
import time, os
import gpiozero as io # using LED zero

led = io.LED(4)          # make pin 4 into an output
push = io.Button(24)        # make pin 24 into an input  

print("LED blinker switch using gpiozero - By Mike Cook")
print("Ctrl C to quit")
while True:
    if push.is_pressed:
        time.sleep(1.0)
    else :
        time.sleep(0.3)
    led.on()
    if push.is_pressed:
        time.sleep(1.0)
    else :
        time.sleep(0.3)
    led.off()   

